Subject: Re: [PATCH 01/30] net: fddi: skfp: ecm: Protect 'if' when AIX_EVENT is not defined

From: Lee Jones <[email-masked]>
Date: Wed, 4 Nov 2020 07:28:31 +0000

On Tue, 03 Nov 2020, Jakub Kicinski wrote:

> On Mon,  2 Nov 2020 11:44:43 +0000 Lee Jones wrote:
> > When AIX_EVENT is not defined, the 'if' body will be empty, which
> > makes GCC complain.  Place bracketing around the invocation to protect
> > it.
> > 
> > Fixes the following W=1 kernel build warning(s):
> > 
> >  drivers/net/fddi/skfp/ecm.c: In function ‘ecm_fsm’:
> >  drivers/net/fddi/skfp/ecm.c:153:29: warning: suggest braces around empty body in an ‘if’ statement [-Wempty-body]
> > 
> > Cc: "David S. Miller" <[email-masked]>
> > Cc: Jakub Kicinski <[email-masked]>
> > Cc: [email-masked]
> > Signed-off-by: Lee Jones <[email-masked]>
> 
> Okay, I applied most of these,

Thank you.

> but please don't post series larger than 15 patches in the future.

No problem.

> Also each patch series should have a cover letter.

https://lore.kernel.org/lkml/20200817081630.GR4354@dell/

> I did not apply:
> 
>  - wimax - it should go to staging
>  - tulip - does not apply
>  - lan79xx - has checkpatch warnings
>  - smsc - I'm expecting a patch from Andew there

I'll look into these.

Thanks again Jakub.

-- 
Lee Jones [李琼斯]
Senior Technical Lead - Developer Services
Linaro.org │ Open source software for Arm SoCs
Follow Linaro: Facebook | Twitter | Blog